Skip to main content
`Ctrl`+`K`

# SVDMonitorFn

A function prototype for functions provided to `SVDMonitorSet()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SVDMonitorFn(SVD svd,PetscInt its,PetscInt nconv,PetscReal sigma[],PetscReal errest[],PetscInt nest,void *ctx);

## Calling Sequence

- svd - the singular value solver context

- its - iteration number

- nconv - number of converged singular triplets

- sigma - singular values

- errest - relative error estimates for each singular triplet

- nest - number of error estimates

- ctx - optional monitoring context, as provided with `SVDMonitorSet()`

## See Also

SVD: Singular Value Decomposition, `SVDMonitorSet()`

## Level

intermediate

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages